##### 7.5.5.0. DLoc

Procedure from library `dmodapp.lib` (see dmodapp_lib).

Usage:
  DLoc(I, f); I an ideal, f a poly

Return:
  list of ideal and list

Assume:
  the basering is a Weyl algebra

Purpose:
  compute the presentation of the localization of D/I w.r.t. f^s

Note:
  In the output list L,
  - L[1] is an ideal (given as Groebner basis), the presentation of the
  localization,
  - L[2] is a list containing roots with multiplicities of Bernstein
  polynomial of (D/I)_f.

Display:
  If printlevel =1, progress debug messages will be printed,
  if printlevel>=2, all the debug messages will be printed.

Example:

    LIB "dmodapp.lib";
    ring r = 0,(x,y,Dx,Dy),dp;
    def R = Weyl();    setring R; // Weyl algebra in variables x,y,Dx,Dy
    poly F = x2-y3;
    ideal I = (y^3 - x^2)*Dx - 2*x, (y^3 - x^2)*Dy + 3*y^2; // I = Dx*F, Dy*F;
    // I is not holonomic, since its dimension is not 4/2=2
    gkdim(I);
    ==> 3
    list L = DLoc(I, x2-y3);
    L[1]; // localized module (R/I)_f is isomorphic to R/LD0
    ==> _[1]=3*x*Dx+2*y*Dy+12
    ==> _[2]=3*y^2*Dx+2*x*Dy
    ==> _[3]=y^3*Dy-x^2*Dy+6*y^2
    L[2]; // description of b-function for localization
    ==> [1]:
    ==>    _[1]=0
    ==>    _[2]=1/6
    ==>    _[3]=-1/6
    ==> [2]:
    ==>    1,1,1

User manual for Singular version 4.4.1, 2025, generated by texi2html.